#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# SplitSolver Class

Extends Solver
Defined in: `src/solver/SplitSolver.js:8`

Splits the equations into islands and solves them independently. Can improve performance.

## Constructor

### `SplitSolver`

(

- `subsolver`

)

Defined in `src/solver/SplitSolver.js:8`

#### Parameters:

- `subsolver` Solver

- Index
- Methods
- Properties

## Item Index

### Methods

- addEquation
- removeAllEquations
- removeEquation
- solve

### Properties

- equations

## Methods

### `addEquation`

(

- `eq`

)

Inherited from Solver: `src/solver/Solver.js:28`

Add an equation

#### Parameters:

- `eq` Equation

### `removeAllEquations`

()

Inherited from Solver: `src/solver/Solver.js:52`

Add all equations

### `removeEquation`

(

- `eq`

)

Inherited from Solver: `src/solver/Solver.js:39`

Remove an equation

#### Parameters:

- `eq` Equation

### `solve`

(

- `dt`
- `world`

)

Inherited from Solver but overwritten in `src/solver/SplitSolver.js:81`

Solve the subsystems

#### Parameters:

- `dt` Number
- `world` World

## Properties

### `equations`

Array

Inherited from Solver: `src/solver/Solver.js:10`

All equations to be solved